
FROM alpy:latest
ENV SHARED_PASSWD ""
ENV SHARED_ID ""

RUN <<EOT sh
  set -ex

  #
  # Install and configure dovecot
  apk add dovecot

  sed -i \
    -e 's!/etc/init.d/.*\$!supervisorctl restart dovecot!' \
    /etc/logrotate.d/dovecot


  echo 'ssl = no' > /etc/dovecot/conf.d/11-nossl.conf
  (
    echo 'log_path = /dev/stderr'
    echo 'auth_verbose = yes'
  ) > /etc/dovecot/conf.d/10-logging.conf
  (
    echo 'disable_plaintext_auth = no'
    echo 'auth_mechanisms = plain'
    echo '!include auth-passwdfile.conf.ext'
  ) > /etc/dovecot/conf.d/10-auth.conf

  # Configure files
  cat >/etc/dovecot/conf.d/auth-passwdfile.conf.ext <<-EOF
        passdb {
          driver = passwd-file
          args = scheme=SHA512-CRYPT username_format=%u /etc/dovecot/users
        }
        userdb {
          driver = passwd-file
          args = username_format=%u /etc/dovecot/users
        }
	EOF

  echo "mail_location = maildir:~/Maildir" > /etc/dovecot/conf.d/11-mail-location.conf

EOT


ADD files.tar.gz /

VOLUME /data /tlr
EXPOSE 9001/tcp 143/tcp

CMD [ "/startup.sh" ]
